%define oname tornado
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{oname}
Version:        4.4.2
Release:        %mkrel 1
Summary:        Scalable, non-blocking web server and tools

Group:          Development/Python
License:        ASL 2.0
URL:            http://www.tornadoweb.org
Source0:        https://files.pythonhosted.org/packages/source/t/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
Requires:       python-pycurl
Requires:       python-simplejson
BuildRequires:  python-tools
BuildRequires:  python-futures
BuildRequires:  python-backports-ssl_match_hostname
BuildRequires:  python-setuptools
BuildRequires:  python-certifi
BuildRequires:  python3-setuptools
BuildRequires:  python3-certifi
BuildRequires:  pkgconfig(python3)

%description
Tornado is an open source version of the scalable, non-blocking web server and
and tools.

The framework is distinct from most mainstream web server frameworks (and
certainly most Python frameworks) because it is non-blocking and reasonably
fast. Because it is non-blocking and uses epoll, it can handle thousands of
simultaneous standing connections, which means it is ideal for real-time web
services.

%package doc
Summary:        Examples for python-tornado
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}

%description doc
Tornado is an open source version of the scalable, non-blocking web server and
and tools. This package contains some example applications.

%package -n python3-tornado
Summary:        Scalable, non-blocking web server and tools
Group:          Development/Python

%description -n python3-tornado
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

%package -n python3-tornado-doc
Summary:        Examples for python-tornado
Group:          Development/Python
Requires:       python3-tornado = %{version}-%{release}

%description -n python3-tornado-doc
Tornado is an open source version of the scalable, non-blocking web
server and and tools. This package contains some example applications.

%prep 
%autosetup  -n %{oname}-%{version}

# remove shebang from files
%{__sed} -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py

# spurious permission fix
find demos/ -name "*.py" -exec chmod -x {} \;

# remove empty file
rm -rf demos/facebook/static/facebook.js

%build
%py3_build
%py2_build

%install
PATH=$PATH:%{buildroot}%{python3_sitelib}/%{oname}
%py3_install
PATH=$PATH:%{buildroot}%{python_sitelib}/%{oname}
%py2_install

%check
PYTHONPATH=%{python3_sitearch} \
%{__python3} -m tornado.test.runtests --verbose || :
PYTHONPATH=%{python2_sitearch} \
%{__python2} -m tornado.test.runtests --verbose || :


%files
%doc README.rst PKG-INFO
%{python2_sitearch}/%{oname}/
%{python2_sitearch}/%{oname}-%{version}-py%{python2_version}.egg-info/

%files doc
%doc demos

%files -n python3-tornado
%doc README.rst PKG-INFO
%{python3_sitearch}/%{oname}/
%{python3_sitearch}/%{oname}-%{version}-*.egg-info

%files -n python3-tornado-doc
%doc demos



%changelog
* Tue Nov 29 2016 philippem <philippem> 4.4.2-1.mga6
+ Revision: 1070932
- update to 4.4.2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 18 2015 joequant <joequant> 4.3-1.mga6
+ Revision: 903940
- upgrade to 4.3

* Wed Oct 07 2015 tv <tv> 4.2.1-3.mga6
+ Revision: 886999
- rebuild for python 3.5

* Tue Sep 29 2015 joequant <joequant> 4.2.1-2.mga6
+ Revision: 884959
- clean up spec

* Thu Sep 24 2015 philippem <philippem> 4.2.1-1.mga6
+ Revision: 883351
- update to 4.2.1

* Tue Jun 30 2015 joequant <joequant> 4.2-1.mga6
+ Revision: 848343
- upgrade to 4.2

* Wed Oct 15 2014 umeabot <umeabot> 3.2.2-4.mga5
+ Revision: 749948
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.2.2-3.mga5
+ Revision: 729885
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.2-2.mga5
+ Revision: 688383
- Mageia 5 Mass Rebuild

* Fri Jun 20 2014 philippem <philippem> 3.2.2-1.mga5
+ Revision: 638207
- update to 3.2.2

* Sat May 31 2014 pterjan <pterjan> 3.2-2.mga5
+ Revision: 629061
- Rebuild for new Python

* Tue Mar 04 2014 philippem <philippem> 3.2-1.mga5
+ Revision: 599553
- update to 3.2, adding c extension

* Sat Nov 30 2013 philippem <philippem> 3.1-4.mga4
+ Revision: 554151
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 3.1-3.mga4
+ Revision: 544350
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.1-2.mga4
+ Revision: 499568
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jul 05 2013 philippem <philippem> 3.1-1.mga4
+ Revision: 450335
- Update to 3.1, add Python 3

* Fri Jun 07 2013 philippem <philippem> 2.3-2.1.mga4
+ Revision: 440324
- fix CVE-2013-2099 (ssl.match_hostname DOS)

* Sun Jan 13 2013 umeabot <umeabot> 2.3-2.mga3
+ Revision: 379574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 wally <wally> 2.3-1.mga3
+ Revision: 258360
- new version 2.3

* Mon Dec 19 2011 lebedov <lebedov> 2.1.1-2.mga2
+ Revision: 184420
- imported package python-tornado

